Opened 9 years ago

Closed 9 years ago

#1100 closed defect (fixed)

Incorrect constant for logging message in xfrin

Reported by: shane Owned by:
Priority: medium Milestone: Sprint-20110712
Component: xfrin Version:
Keywords: Cc:
CVSS Scoring: Parent Tickets:
Sensitive: no Defect Severity: Low
Sub-Project: DNS Feature Depending on Ticket:
Estimated Difficulty: 0.0 Add Hours to Ticket: 0
Total Hours: 0 Internal?: no

Description

I just got the following exception:

2011-07-07 20:07:59.566 INFO  [b10-xfrout.xfrout] XFROUT_NOTIFY_COMMAND received command to send notifies for time-travellers.nl.eu.org./IN
Exception in thread Thread-92:
Traceback (most recent call last):
  File "/opt/bind10/libexec/bind10-devel/b10-xfrin", line 152, in connect_to_master 
    self.connect(self._master_address)
  File "/usr/lib/python3.1/asyncore.py", line 343, in connect
    raise socket.error(err, errorcode[err])
socket.error: [Errno 113] EHOSTUNREACH

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.1/threading.py", line 516, in _bootstrap_inner
    self.run()
  File "/usr/lib/python3.1/threading.py", line 469, in run
    self._target(*self._args, **self._kwargs)
  File "/opt/bind10/libexec/bind10-devel/b10-xfrin", line 404, in process_xfrin
    if conn.connect_to_master():
  File "/opt/bind10/libexec/bind10-devel/b10-xfrin", line 155, in connect_to_master 
    logger.error(CONNECT_MASTER, self._master_address, str(e))
NameError: global name 'CONNECT_MASTER' is not defined

This should be XFRIN_CONNECT_MASTER. It is the only logging constant where this has been left off:

[shane@shane-desktop xfrin]$ grep logger. * | grep -v XFRIN
xfrin.py.in:logger = isc.log.Logger("xfrin")
xfrin.py.in:            logger.error(CONNECT_MASTER, self._master_address, str(e))

Subtickets

Change History (3)

comment:1 Changed 9 years ago by shane

The following fixes this:

diff --git a/src/bin/xfrin/xfrin.py.in b/src/bin/xfrin/xfrin.py.in
index 64e3563..d1fbbfe 100755
--- a/src/bin/xfrin/xfrin.py.in
+++ b/src/bin/xfrin/xfrin.py.in
@@ -152,7 +152,7 @@ class XfrinConnection(asyncore.dispatcher):
             self.connect(self._master_address)
             return True
         except socket.error as e:
-            logger.error(CONNECT_MASTER, self._master_address, str(e))
+            logger.error(XFRIN_CONNECT_MASTER, self._master_address, str(e))
             return False
 
     def _create_query(self, query_type):

comment:2 Changed 9 years ago by shane

Committed based on jabber review. b18409a1d6515152d107cd965e25ef58835f9f22

comment:3 Changed 9 years ago by shane

  • Milestone changed from New Tasks to Sprint-20110712
  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.